import { Position } from './Position';
import { HalfEdge } from './HalfEdge';
import { SpatialObject } from './SpatialObject';
export declare class Centroid implements SpatialObject {
    positions: Position[];
    position: Position;
    spoke: HalfEdge | null;
    constructor(positions: Position[], position: Position);
    box3(): THREE.Box3;
    intersect(ray: THREE.Ray): THREE.Vector3 | null;
    intersects(ray: THREE.Ray): boolean;
}
